package owapi;

/**
 *
 *<P><H3>COM: TYPELIB=5CE02372-121E-4BCE-8774-80FBC36C509E, CLSID=25B56089-0D52-47ed-94A4-7360B15773F1</H3></P>
 *
 * Utility class, replaces any occurrence of "java.util.Enumeration" in COM 
 * code when that Enumeration is a collection of DSPortAdapter objects
 *
 * @version CLSID=25B56089-0D52-47ed-94A4-7360B15773F1 - 1.00
 * @com.register ( clsid=25B56089-0D52-47ed-94A4-7360B15773F1, typelib=5CE02372-121E-4BCE-8774-80FBC36C509E )
 */
public class DSPortAdapterEnumeration
   implements com.ms.com.IUnknown
{
   java.util.Enumeration enum = null;
   
   /**
    * Returns boolean at the specified index.
    * @param index the index to retrieve element
    * @return the value at the specified index
    */
   public DSPortAdapter nextElement()
   {
      return (DSPortAdapter)enum.nextElement();
   }

   /**
    * Returns boolean at the specified index.
    * @param index the index to retrieve element
    * @return the value at the specified index
    */
   public boolean hasMoreElements()
   {
      return enum.hasMoreElements();
   }
   
   
   /**
    * Used to build from an actual enumeration returned from a Java object
    */
   public void buildFromObject(Object buildObj)
   {
      this.enum = ((DSPortAdapterEnumeration)buildObj).enum;
   }

   /** Returns true if this COM Stub class refers to an object which is not null */
   public boolean isObjectInitialized()
   {
      return this.enum != null;
   }

   DSPortAdapterEnumeration setupObject(Object o)
   {
      java.util.Enumeration retEnum = (java.util.Enumeration)o;
      java.util.Vector reRetEnum = new java.util.Vector();
      while(retEnum.hasMoreElements())
         reRetEnum.addElement(new DSPortAdapter().setupObject(retEnum.nextElement()));
      this.enum = reRetEnum.elements();
      return this;
   }
}
