// COM proxy class, output from FunctionList.js
package owapi;
/**
 * <P>Class DeviceMonitor represents the monitor that searches the 1-Wire net
 * for new arrivals.  This monitor performs a simple search, meaning that
 * no branches are explicitly traversed.  If a branch is activated/deactivated
 * between search cycles, this monitor will see the arrival/departure of
 * new devices without reference to the branch which they lie on.</P>
 *
 * @author SH
 * @version CLSID=D6A33CDB-44A1-4653-BA4A-317F3DA7DBCE -  1.00
 * @com.register ( clsid=D6A33CDB-44A1-4653-BA4A-317F3DA7DBCE, typelib=5CE02372-121E-4BCE-8774-80FBC36C509E )
 */
public class DeviceMonitor
   extends AbstractDeviceMonitor
   implements com.ms.com.IUnknown
{

   //Instance defined in super class: AbstractDeviceMonitor
   //com.dalsemi.onewire.application.monitor.DeviceMonitor objectInstance  = null;

   /**
    * Default constructor. Does nothing. Use createNewInstance methods to call a specific constructor.
    */
   public DeviceMonitor()
   {
   }

   DeviceMonitor(com.dalsemi.onewire.application.monitor.DeviceMonitor o)
   {
      super(o);
   }
   DeviceMonitor(java.lang.Object o)
   {
      super((com.dalsemi.onewire.application.monitor.DeviceMonitor)o);
   }

   /**
    * Create a simple monitor that does not search branches
    *
    * @param the DSPortAdapter this monitor should search
    */
   public void createNewInstance(DSPortAdapter adapter)
   {      
      objectInstance = new com.dalsemi.onewire.application.monitor.DeviceMonitor(((com.dalsemi.onewire.adapter.DSPortAdapter)adapter.objectInstance));
   }



   /** Sets this object's reference to null */
   public void freeObject()
   {
      this.objectInstance = null;
   }

   /** Returns true if this COM Stub class refers to an object which is not null */
   public boolean isObjectInitialized()
   {
      return this.objectInstance != null;
   }

   AbstractDeviceMonitor setupObject(Object o)
   {
      this.objectInstance = (com.dalsemi.onewire.application.monitor.DeviceMonitor)o;
      return this;
   }
}
