// COM proxy class, output from FunctionList.js
package owapi;
/**
 * This class provides a default object for the Humidity type 
 * of a tagged 1-Wire device.  
 * @com.register ( clsid=A1A2B487-4D45-4C89-95D1-C915432A771B, typelib=5CE02372-121E-4BCE-8774-80FBC36C509E )
 * @version CLSID=A1A2B487-4D45-4C89-95D1-C915432A771B
 */
public class Humidity
   extends TaggedDevice
   implements com.ms.com.IUnknown
{

   //Instance defined in super class: TaggedDevice
   //com.dalsemi.onewire.application.tag.Humidity objectInstance  = null;

   /**
    * Default constructor. Does nothing. Use createNewInstance methods to call a specific constructor.
    */
   public Humidity()
   {
      super(new com.dalsemi.onewire.application.tag.Humidity());
   }

   Humidity(com.dalsemi.onewire.application.tag.Humidity o)
   {
      super(o);
   }
   Humidity(java.lang.Object o)
   {
      super((com.dalsemi.onewire.application.tag.Humidity)o);
   }

   /**
    * Creates an object for the device with the supplied address and device type connected
    * to the supplied port adapter.
    * @param adapter The adapter serving the sensor.
    * @param netAddress The 1-Wire network address of the sensor.
    */
   public void createNewInstance(DSPortAdapter adapter, java.lang.String netAddress)
   {      
      objectInstance = new com.dalsemi.onewire.application.tag.Humidity(((com.dalsemi.onewire.adapter.DSPortAdapter)adapter.objectInstance), netAddress);
   }

   /**
    * The readSensor method returns a relative humidity reading
    * in %RH 
    *
    * @param--none.
    *
    * @return String humidity in %RH
    */
   public java.lang.String readSensor()
      throws com.dalsemi.onewire.OneWireException
   {      
      return ((com.dalsemi.onewire.application.tag.Humidity)objectInstance).readSensor();
   }



   /** Sets this object's reference to null */
   public void freeObject()
   {
      this.objectInstance = null;
   }

   /** Returns true if this COM Stub class refers to an object which is not null */
   public boolean isObjectInitialized()
   {
      return this.objectInstance != null;
   }

   TaggedDevice setupObject(Object o)
   {
      this.objectInstance = (com.dalsemi.onewire.application.tag.Humidity)o;
      return this;
   }
}
