// COM proxy class, output from FunctionList.js
package owapi;
/**
 * Class NetworkDeviceMonitor represents the monitor that searches the
 * 1-Wire net, including the traversal of branches, looing for new arrivals
 * and departures.
 *
 * @author SH
 * @version CLSID=CA919A7E-19A9-4826-84AD-5DD6D599DF9D -  1.00
 * @com.register ( clsid=CA919A7E-19A9-4826-84AD-5DD6D599DF9D, typelib=5CE02372-121E-4BCE-8774-80FBC36C509E )
 */
public class NetworkDeviceMonitor
   extends AbstractDeviceMonitor
   implements com.ms.com.IUnknown
{

   //Instance defined in super class: AbstractDeviceMonitor
   //com.dalsemi.onewire.application.monitor.NetworkDeviceMonitor objectInstance  = null;

   /**
    * Default constructor. Does nothing. Use createNewInstance methods to call a specific constructor.
    */
   public NetworkDeviceMonitor()
   {
   }

   NetworkDeviceMonitor(com.dalsemi.onewire.application.monitor.NetworkDeviceMonitor o)
   {
      super(o);
   }
   NetworkDeviceMonitor(java.lang.Object o)
   {
      super((com.dalsemi.onewire.application.monitor.NetworkDeviceMonitor)o);
   }

   /**
    * Create a complex monitor that does search branches
    *
    * @param the DSPortAdapter this monitor should search
    */
   public void createNewInstance(DSPortAdapter adapter)
   {      
      objectInstance = new com.dalsemi.onewire.application.monitor.NetworkDeviceMonitor(((com.dalsemi.onewire.adapter.DSPortAdapter)adapter.objectInstance));
   }

   /**
    * Indicates whether or not branches are automatically traversed.  If false,
    * new branches must be indicated using the "addBranch" method.
    *
    * @param enabled if true, all branches are automatically traversed during a
    * search operation.
    */
   public void setBranchAutoSearching(boolean enabled)
   {      
      ((com.dalsemi.onewire.application.monitor.NetworkDeviceMonitor)objectInstance).setBranchAutoSearching(enabled);
   }

   /**
    * Indicates whether or not branches are automatically traversed.  If false,
    * new branches must be indicated using the "addBranch" method.
    *
    * @returns true if all branches are automatically traversed during a
    * search operation.
    */
   public boolean getBranchAutoSearching()
   {      
      return ((com.dalsemi.onewire.application.monitor.NetworkDeviceMonitor)objectInstance).getBranchAutoSearching();
   }

   /**
    * Adds a branch for searching.  Must be used to traverse branches if
    * auto-searching is disabled.
    *
    * @param path A branch to be searched during the next search routine
    */
   public void addBranch(OWPath path)
   {      
      ((com.dalsemi.onewire.application.monitor.NetworkDeviceMonitor)objectInstance).addBranch(((com.dalsemi.onewire.utils.OWPath)path.objectInstance));
   }



   /** Sets this object's reference to null */
   public void freeObject()
   {
      this.objectInstance = null;
   }

   /** Returns true if this COM Stub class refers to an object which is not null */
   public boolean isObjectInitialized()
   {
      return this.objectInstance != null;
   }

   AbstractDeviceMonitor setupObject(Object o)
   {
      this.objectInstance = (com.dalsemi.onewire.application.monitor.NetworkDeviceMonitor)o;
      return this;
   }
}
