package owapi;

/**
 *
 *<P><H3>COM: TYPELIB=5CE02372-121E-4BCE-8774-80FBC36C509E, CLSID=76EE56B8-0428-4da1-A718-5E606F222D57</H3></P>
 *
 * Utility class, replaces any occurrence of "java.util.Enumeration" in COM 
 * code when that Enumeration is a collection of OWPath objects
 *
 * @version CLSID=76EE56B8-0428-4da1-A718-5E606F222D57 - 1.00
 * @com.register ( clsid=76EE56B8-0428-4da1-A718-5E606F222D57, typelib=5CE02372-121E-4BCE-8774-80FBC36C509E )
 */
public class OWPathEnumeration
   implements com.ms.com.IUnknown
{
   java.util.Enumeration enum = null;
   
   /**
    * Returns boolean at the specified index.
    * @param index the index to retrieve element
    * @return the value at the specified index
    */
   public OWPath nextElement()
   {
      return (OWPath)enum.nextElement();
   }

   /**
    * Returns boolean at the specified index.
    * @param index the index to retrieve element
    * @return the value at the specified index
    */
   public boolean hasMoreElements()
   {
      return enum.hasMoreElements();
   }
   
   
   /**
    * Used to build from an actual enumeration returned from a Java object
    */
   public void buildFromObject(Object buildObj)
   {
      this.enum = ((OWPathEnumeration)buildObj).enum;
   }

   /** Returns true if this COM Stub class refers to an object which is not null */
   public boolean isObjectInitialized()
   {
      return this.enum != null;
   }

   OWPathEnumeration setupObject(Object o)
   {
      java.util.Enumeration retEnum = (java.util.Enumeration)o;
      java.util.Vector reRetEnum = new java.util.Vector();
      while(retEnum.hasMoreElements())
         reRetEnum.addElement(new OWPath().setupObject(retEnum.nextElement()));
      this.enum = reRetEnum.elements();
      return this;
   }
}
