// COM proxy class, output from FunctionList.js
package owapi;
/**
 * <P> 1-Wire container for temperature iButton which measures temperatures
 * from -55&#176C to +125&#176C, DS1822.  This container encapsulates the
 * functionality of the iButton family type <B>22</B> (hex)</P>
 *
 * <H3> Features </H3>
 * <UL>
 *   <LI> Measures temperatures from -55&#176C to +125&#176C. Fahrenheit
 *        equivalent is -67&#176F to +257&#176F
 *   <LI> Power supply range is 3.0V to 5.5V
 *   <LI> Zero standby power
 *   <LI> +/- 2&#176C accuracy from -10&#176C to +85&#176C
 *   <LI> Thermometer resolution programmable from 9 to 12 bits
 *   <LI> Converts 12-bit temperature to digital word in 750 ms (max.)
 *   <LI> User-definable, nonvolatile temperature alarm settings
 *   <LI> Alarm search command identifies and addresses devices whose temperature is
 *        outside of programmed limits (temperature alarm condition)
 *   <LI> Software compatible with DS18B20 (family type <B>28</B> hex)
 * </UL>
 *
 * <H3> Usage </H3>
 *
 * <DL>
 * <DD> See the usage example in
 * {@link TemperatureContainer TemperatureContainer}
 * for temperature specific operations.
 * </DL>
 *
 * <H3> DataSheet </H3>
 * <DL>
 * <DD><A HREF="http://pdfserv.maxim-ic.com/arpdf/DS1822.pdf"> http://pdfserv.maxim-ic.com/arpdf/DS1822.pdf</A>
 * </DL>
 *
 * @see TemperatureContainer
 *
 * @version CLSID=88327DF9-E07F-46BD-B94A-96B244D276A1 -     1.10, 26 September 2001
 * @author DalSemi
 * @com.register ( clsid=88327DF9-E07F-46BD-B94A-96B244D276A1, typelib=5CE02372-121E-4BCE-8774-80FBC36C509E )
 */
public class OneWireContainer22
   extends OneWireContainer28
   implements com.ms.com.IUnknown, TemperatureContainer 
{

   //Instance defined in super class: OneWireContainer28
   //com.dalsemi.onewire.container.OneWireContainer22 objectInstance  = null;

   /**
    * Default constructor. Does nothing. Use setupContainer or buildFromObject methods initialize.
    */
   public OneWireContainer22()
   {
      super(new com.dalsemi.onewire.container.OneWireContainer22());
   }

   OneWireContainer22(com.dalsemi.onewire.container.OneWireContainer22 o)
   {
      super(o);
   }
   OneWireContainer22(java.lang.Object o)
   {
      super((com.dalsemi.onewire.container.OneWireContainer22)o);
   }



   /** Sets this object's reference to null */
   public void freeObject()
   {
      this.objectInstance = null;
   }

   /** Returns true if this COM Stub class refers to an object which is not null */
   public boolean isObjectInitialized()
   {
      return this.objectInstance != null;
   }

   OneWireContainer setupObject(Object o)
   {
      this.objectInstance = (com.dalsemi.onewire.container.OneWireContainer22)o;
      return this;
   }
}
