package owapi;

/**
 *
 *<P><H3>COM: TYPELIB=5CE02372-121E-4BCE-8774-80FBC36C509E, CLSID=25D802E8-96ED-461a-B756-8ED37198669F</H3></P>
 *
 * Utility class, replaces any occurrence of "OneWireContainer[]" in COM code
 *
 * @version CLSID=25D802E8-96ED-461a-B756-8ED37198669F - 1.00
 * @com.register ( clsid=25D802E8-96ED-461a-B756-8ED37198669F, typelib=5CE02372-121E-4BCE-8774-80FBC36C509E )
 */
public class OneWireContainerArray
   implements com.ms.com.IUnknown
{
   com.dalsemi.onewire.container.OneWireContainer[] array = null;
   
   /**
    * Returns the internal array, for scripting languages where using the array
    * is user than using this helper
    * @return OneWireContainer[] the internal array this class is wrapping
    */
   public OneWireContainer[] unwrap()
   {
      OneWireContainer[] owc = new OneWireContainer[this.array.length];
      for(int i=0; i<owc.length; i++)
         owc[i] = getAt(i);
      return owc;
   }
   
   /**
    * Sets the internal array, for scripting languages where using the array
    * is easier than using this helper
    * @param newArray new internal array
    */
   public void wrap(OneWireContainer[] newArray)
   {
      this.array = new com.dalsemi.onewire.container.OneWireContainer[newArray.length];
      for(int i=0; i<this.array.length; i++)
         this.array[i] = newArray[i].objectInstance;
   }

   /**
    * Returns boolean at the specified index.
    * @param index the index to retrieve element
    * @return the value at the specified index
    */
   public OneWireContainer getAt(int index)
   {
      return new OneWireContainer().setupObject(array[index]);
   }
   
   /**
    * Sets the element at the specified index.
    * @param index the index to retrieve element
    * @param value the new value
    */
   public void setAt(int index, OneWireContainer value)
   {
      array[index] = value.objectInstance;
   }


   /**
    * Sets the size of the boolean[]
    * @param size the new size
    */
   public void setSize(int size)
   {
      com.dalsemi.onewire.container.OneWireContainer[] tmp = array;
      array = new com.dalsemi.onewire.container.OneWireContainer[size];
      if(tmp!=null)
         System.arraycopy(tmp,0,array,0,Math.min(tmp.length,size));
   }

   /**
    * Returns the size of the boolean[]
    * @param size the new size
    */
   public int getSize()
   {
      return array.length;
   }

   /**
    * Converts the boolean[] to a string
    * @return boolean[] as a string
    */
   public String toString()   
   {
      StringBuffer sb = new StringBuffer(7*array.length);
      for (int i = 0; i < array.length; i++)
      {
         if(i>0)
            sb.append(", ");
         sb.append(array[i].toString());
      }

      return sb.toString();
   }
   
   /** Returns true if this COM Stub class refers to an object which is not null */
   public boolean isObjectInitialized()
   {
      return this.array != null;
   }
   
   /**
    * Used to build from an actual array returned from a Java object
    */
   public void buildFromObject(Object buildObj)
   {
      if(buildObj instanceof OneWireContainerArray)
      {
         this.array = ((OneWireContainerArray)buildObj).array;
      }
      else if(buildObj instanceof com.dalsemi.onewire.container.OneWireContainer[])
      {
         this.array = (com.dalsemi.onewire.container.OneWireContainer[])
                       ((com.dalsemi.onewire.container.OneWireContainer[])buildObj).clone();
      }
      else if(buildObj instanceof OneWireContainer[])
      {
         OneWireContainer[] tmp = (OneWireContainer[])buildObj;
         this.array = new com.dalsemi.onewire.container.OneWireContainer[tmp.length];
         for(int i=0; i<tmp.length; i++)
            this.array[i] = tmp[i].objectInstance;
      }
   }

   OneWireContainerArray setupObject(Object o)
   {
      this.array = (com.dalsemi.onewire.container.OneWireContainer[])o;
      return this;
   }
}
