package owapi;

/**
 *
 *<P><H3>COM: TYPELIB=5CE02372-121E-4BCE-8774-80FBC36C509E, CLSID=29F7FDD8-2594-46d1-8FD5-B0300389A443</H3></P>
 *
 * Utility class, replaces any occurrence of "java.util.Enumeration" in COM 
 * code when that Enumeration is a collection of OneWireContainer objects
 *
 * @version CLSID=29F7FDD8-2594-46d1-8FD5-B0300389A443 - 1.00
 * @com.register ( clsid=29F7FDD8-2594-46d1-8FD5-B0300389A443, typelib=5CE02372-121E-4BCE-8774-80FBC36C509E )
 */
public class OneWireContainerEnumeration
   implements com.ms.com.IUnknown
{
   java.util.Enumeration enum = null;
   
   /**
    * Returns boolean at the specified index.
    * @param index the index to retrieve element
    * @return the value at the specified index
    */
   public OneWireContainer nextElement()
   {
      return (OneWireContainer)enum.nextElement();
   }

   /**
    * Returns boolean at the specified index.
    * @param index the index to retrieve element
    * @return the value at the specified index
    */
   public boolean hasMoreElements()
   {
      return enum.hasMoreElements();
   }
   
   
   /**
    * Used to build from an actual enumeration returned from a Java object
    */
   public void buildFromObject(Object buildObj)
   {
      this.enum = ((OneWireContainerEnumeration)buildObj).enum;
   }

   /** Returns true if this COM Stub class refers to an object which is not null */
   public boolean isObjectInitialized()
   {
      return this.enum != null;
   }

   OneWireContainerEnumeration setupObject(java.util.Enumeration retEnum)
   {
      java.util.Vector reRetEnum = new java.util.Vector();
      while(retEnum.hasMoreElements())
      {
         Object o = retEnum.nextElement();
         if(o instanceof com.dalsemi.onewire.container.OneWireContainer01)
            o = new OneWireContainer01(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer02)
            o = new OneWireContainer02(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer04)
            o = new OneWireContainer04(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer05)
            o = new OneWireContainer05(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer06)
            o = new OneWireContainer06(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer08)
            o = new OneWireContainer08(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer09)
            o = new OneWireContainer09(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer0A)
            o = new OneWireContainer0A(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer0B)
            o = new OneWireContainer0B(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer0C)
            o = new OneWireContainer0C(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer0F)
            o = new OneWireContainer0F(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer10)
            o = new OneWireContainer10(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer12)
            o = new OneWireContainer12(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer13)
            o = new OneWireContainer13(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer14)
            o = new OneWireContainer14(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer16)
            o = new OneWireContainer16(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer18)
            o = new OneWireContainer18(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer1A)
            o = new OneWireContainer1A(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer1C)
            o = new OneWireContainer1C(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer1D)
            o = new OneWireContainer1D(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer1F)
            o = new OneWireContainer1F(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer20)
            o = new OneWireContainer20(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer21)
            o = new OneWireContainer21(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer22)
            o = new OneWireContainer22(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer23)
            o = new OneWireContainer23(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer24)
            o = new OneWireContainer24(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer26)
            o = new OneWireContainer26(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer27)
            o = new OneWireContainer27(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer28)
            o = new OneWireContainer28(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer29)
            o = new OneWireContainer29(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer2C)
            o = new OneWireContainer2C(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer2D)
            o = new OneWireContainer2D(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer30)
            o = new OneWireContainer30(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer33)
            o = new OneWireContainer33(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer37)
            o = new OneWireContainer37(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer3A)
            o = new OneWireContainer3A(o);
         else if(o instanceof com.dalsemi.onewire.container.OneWireContainer41)
            o = new OneWireContainer41(o);
         else 
            o = new OneWireContainer(o);

         reRetEnum.addElement(o);         
      }
      this.enum = reRetEnum.elements();
      return this;
   }
}
