// COM proxy class, output from FunctionList.js
package owapi;
/**
 * <P>A SAX parser.</P>
 *
 * <P>This class encapsulates the underlying parser implementation.  We support
 * only the SAX1 interface for now.</P>
 * <P>Specify the SAXParser implementation by adding the property
 * <code>SAXParser.ClassName</code> to the onewire.properties file with the
 * fully qualified classname of an implementation of
 * <code>org.xml.sax.Parser</code>.  The default classname used is
 * for nanoxml's parser: <code>nanoxml.sax.SAXParser</code>.  
 *
 * @author Kelly
 * @com.register ( clsid=995AE924-D4A0-4E90-BB36-AE903BF5DBAC, typelib=5CE02372-121E-4BCE-8774-80FBC36C509E )
 * @version CLSID=995AE924-D4A0-4E90-BB36-AE903BF5DBAC
 */
public class SAXParser
   implements com.ms.com.IUnknown
{

   com.dalsemi.onewire.application.tag.SAXParser objectInstance  = null;

   /**
    * Default constructor. Does nothing.
    */
   public SAXParser()
   {
      this.objectInstance = new com.dalsemi.onewire.application.tag.SAXParser();
   }

   SAXParser(com.dalsemi.onewire.application.tag.SAXParser o)
   {
      this.objectInstance = o;
   }
   SAXParser(java.lang.Object o)
   {
      this.objectInstance = ((com.dalsemi.onewire.application.tag.SAXParser)o);
   }

   /**
    * Set the locale for errors and warnings.
    *
    * @param locale The locale to use.
    * @throws SAXException If the <var>locale</var> is not supported.
    */
   public void setLocale(java.util.Locale locale)
      throws org.xml.sax.SAXException
   {      
      objectInstance.setLocale(locale);
   }

   /**
    * Register a custom entity resolver.
    *
    * If one is not registered, the parser will resolve system identifiers in an
    * implementation dependent way.
    *
    * @param resolver The entity resolver to use.
    */
   public void setEntityResolver(org.xml.sax.EntityResolver resolver)
   {      
      objectInstance.setEntityResolver(resolver);
   }

   /**
    * Register a DTD event handler.
    *
    * If one is not registered, all DTD events reported by the parser will be ignored.
    *
    * @param handler The DTD handler to use.
    */
   public void setDTDHandler(org.xml.sax.DTDHandler handler)
   {      
      objectInstance.setDTDHandler(handler);
   }

   /**
    * Register a document event handler.
    *
    * If one is not registered, all document events reported by the parser will be ignored.
    *
    * @param handler The document handler to use.
    */
   public void setDocumentHandler(org.xml.sax.DocumentHandler handler)
   {      
      objectInstance.setDocumentHandler(handler);
   }

   /**
    * Register an error event handler.
    *
    * If one is not registered, all error events except for <code>fatalError</code>
    * are ignored.  A <code>fatalError</code> thorws a {@link org.xml.sax.SAXException}.
    *
    * @param handler The error handler to use.
    */
   public void setErrorHandler(org.xml.sax.ErrorHandler handler)
   {      
      objectInstance.setErrorHandler(handler);
   }

   /**
    * Parse an XML document.
    *
    * @param source Source of the document to parse.
    *
    * @param inputSource
    * @throws SAXException Any SAX exception, possibly wrapping another exception.
    * @throws IOException If an I/O error occurred while reading the document.
    */
   public void parseFromInputSource(org.xml.sax.InputSource inputSource)
      throws org.xml.sax.SAXException, java.io.IOException
   {      
      objectInstance.parse(inputSource);
   }

   /**
    * Parse an XML document specified by system identifier or URL.
    *
    * @param systemID The system ID or URL of the document to parse.
    * @throws SAXException Any SAX exception, possibly wrapping another exception.
    * @throws IOException If an I/O error occurred while reading the document.
    */
   public void parse(java.lang.String systemID)
      throws org.xml.sax.SAXException, java.io.IOException
   {      
      objectInstance.parse(systemID);
   }



   /** Sets this object's reference to null */
   public void freeObject()
   {
      this.objectInstance = null;
   }

   /** Returns true if this COM Stub class refers to an object which is not null */
   public boolean isObjectInitialized()
   {
      return this.objectInstance != null;
   }

   SAXParser setupObject(Object o)
   {
      this.objectInstance = (com.dalsemi.onewire.application.tag.SAXParser)o;
      return this;
   }
}
