// COM proxy class, output from FunctionList.js
package owapi;
/**
 * Utility methods for performing SHA calculations.
 * @com.register ( clsid=0247116E-6589-4B5B-A857-D5FF4BB0E343, typelib=5CE02372-121E-4BCE-8774-80FBC36C509E )
 * @version CLSID=0247116E-6589-4B5B-A857-D5FF4BB0E343
 */
public class SHA
   implements com.ms.com.IUnknown
{


   /**
    * Does Dallas SHA, as specified in DS1963S datasheet.
    * result is in intel Endian format, starting with the
    * LSB of E to the MSB of E followed by the LSB of D.
    * result array should be at least 20 bytes long, after
    * the offset.
    *
    * @param MT The message block (padded if necessary).
    * @param result The byte[] into which the result will be copied.
    * @param offset The starting location in 'result' to start copying.
    */
   public final synchronized ByteArray ComputeSHA(ByteArray MT, ByteArray result, int offset)
   {      
      return new ByteArray().setupObject(com.dalsemi.onewire.utils.SHA.ComputeSHA(MT.array, result.array, offset));
   }

   /**
    * Does Dallas SHA, as specified in DS1963S datasheet.
    * result is in intel Endian format, starting with the
    * LSB of E to the MSB of E followed by the LSB of D.
    *
    * @param MT The message block (padded if necessary).
    * @param ABCDE The result will be copied into this 5-int array.
    */
   public final synchronized void ComputeSHA(ByteArray MT, IntArray ABCDE)
   {      
      com.dalsemi.onewire.utils.SHA.ComputeSHA(MT.array, ABCDE.array);
   }


}
