// COM proxy class, output from FunctionList.js
package owapi;
/**
 * The tag parser parses tagging information.
 * @com.register ( clsid=1A5F657A-FDD0-4C30-BD32-AAFCEDD74E52, typelib=5CE02372-121E-4BCE-8774-80FBC36C509E )
 * @version CLSID=1A5F657A-FDD0-4C30-BD32-AAFCEDD74E52
 */
public class TAGParser
   implements com.ms.com.IUnknown
{

   com.dalsemi.onewire.application.tag.TAGParser objectInstance  = null;

   /**
    * Default constructor. Does nothing. Use createNewInstance methods to call a specific constructor.
    */
   public TAGParser()
   {
   }

   TAGParser(com.dalsemi.onewire.application.tag.TAGParser o)
   {
      this.objectInstance = o;
   }
   TAGParser(java.lang.Object o)
   {
      this.objectInstance = ((com.dalsemi.onewire.application.tag.TAGParser)o);
   }

   /**
    * Construct the tag parser.
    *
    * @param adapter What port adapter will serve the devices created.
    */
   public void createNewInstance(DSPortAdapter adapter)
   {      
      objectInstance = new com.dalsemi.onewire.application.tag.TAGParser(((com.dalsemi.onewire.adapter.DSPortAdapter)adapter.objectInstance));
   }

   /**
    * Returns the vector of TaggedDevice objects described in the TAG file.
    *
    * @param in The XML document to parse.
    *
    * @return Vector of TaggedDevice objects.
    * @throws SAXException If a parse error occurs parsing <var>in</var>.
    * @throws IOException If an I/O error occurs while reading <var>in</var>.
    */
   public java.util.Vector parse(java.io.InputStream in)
      throws org.xml.sax.SAXException, java.io.IOException
   {      
      return objectInstance.parse(in);
   }

   /**
    * Returns the vector of Branch TaggedDevice objects described in the TAG file.
    * The XML should already be parsed before calling this method.
    *
    * @param in The XML document to parse.
    *
    * @return Vector of Branch TaggedDevice objects.
    */
   public java.util.Vector getBranches()
   {      
      return objectInstance.getBranches();
   }

   /**
    * Returns the vector of OWPath objects discovered through parsing 
    * the XML file.  The XML file should already be parsed before calling 
    * this method.
    *
    * @param no parameters.
    *
    * @return Vector of OWPath objects.
    */
   public java.util.Vector getOWPaths()
   {      
      return objectInstance.getOWPaths();
   }



   /** Sets this object's reference to null */
   public void freeObject()
   {
      this.objectInstance = null;
   }

   /** Returns true if this COM Stub class refers to an object which is not null */
   public boolean isObjectInitialized()
   {
      return this.objectInstance != null;
   }

   TAGParser setupObject(Object o)
   {
      this.objectInstance = (com.dalsemi.onewire.application.tag.TAGParser)o;
      return this;
   }
}
