// COM proxy class, output from FunctionList.js
package owapi;
/**
 * This class provides a default object for a tagged 1-Wire device.
 * @com.register ( clsid=AA632CE1-28A2-4C2E-B73F-AC7130AEF6CD, typelib=5CE02372-121E-4BCE-8774-80FBC36C509E )
 * @version CLSID=AA632CE1-28A2-4C2E-B73F-AC7130AEF6CD
 */
public class TaggedDevice
   implements com.ms.com.IUnknown
{

   com.dalsemi.onewire.application.tag.TaggedDevice objectInstance  = null;

   /**
    * Default constructor. Does nothing. Use createNewInstance methods to call a specific constructor.
    */
   public TaggedDevice()
   {
      this.objectInstance = new com.dalsemi.onewire.application.tag.TaggedDevice();
   }

   TaggedDevice(com.dalsemi.onewire.application.tag.TaggedDevice o)
   {
      this.objectInstance = o;
   }
   TaggedDevice(java.lang.Object o)
   {
      this.objectInstance = ((com.dalsemi.onewire.application.tag.TaggedDevice)o);
   }

   /**
    * Creates an object for the device with the supplied address and device type connected
    * to the supplied port adapter.
    * @param adapter The adapter serving the sensor.
    * @param NetAddress The 1-Wire network address of the sensor.
    * @param netAddress
    */
   public void createNewInstance(DSPortAdapter adapter, java.lang.String netAddress)
   {      
      objectInstance = new com.dalsemi.onewire.application.tag.TaggedDevice(((com.dalsemi.onewire.adapter.DSPortAdapter)adapter.objectInstance), netAddress);
   }

   /**
    * Sets the 1-Wire Container for the tagged device.
    */
   public void setDeviceContainer(DSPortAdapter adapter, java.lang.String netAddress)
   {      
      objectInstance.setDeviceContainer(((com.dalsemi.onewire.adapter.DSPortAdapter)adapter.objectInstance), netAddress);
   }

   /**
    * Sets the device type for the tagged device.
    *
    * @param tType
    */
   public void setDeviceType(java.lang.String tType)
   {      
      objectInstance.setDeviceType(tType);
   }

   /**
    * Sets the label for the tagged device.
    *
    * @param Label
    */
   public void setLabel(java.lang.String Label)
   {      
      objectInstance.setLabel(Label);
   }

   /**
    * Sets the channel for the tagged device from a String.
    *
    * @param Channel
    */
   public void setChannelFromString(java.lang.String Channel)
   {      
      objectInstance.setChannelFromString(Channel);
   }

   /**
    * Sets the channel for the tagged device from an int.
    *
    * @param Channel
    */
   public void setChannel(int Channel)
   {      
      objectInstance.setChannel(Channel);
   }

   /**
    * Sets the init (initialization String) for the
    * tagged device.
    *
    * @param init
    */
   public void setInit(java.lang.String Init)
   {      
      objectInstance.setInit(Init);
   }

   /**
    * Sets the cluster name for the tagged device.
    *
    * @param cluster
    */
   public void setClusterName(java.lang.String cluster)
   {      
      objectInstance.setClusterName(cluster);
   }

   /**
    * Sets the vector of branches to get to the tagged device.
    *
    * @param branches
    */
   public void setBranches(java.util.Vector branches)
   {      
      objectInstance.setBranches(branches);
   }

   /**
    * Sets the OWPath for the tagged device.  An
    * OWPath is a description of how to
    * physically get to a 1-Wire device through a
    * set of nested 1-Wire switches.
    *
    * @param branchOWPath
    */
   public void setOWPath(OWPath branchOWPath)
   {      
      objectInstance.setOWPath(((com.dalsemi.onewire.utils.OWPath)branchOWPath.objectInstance));
   }

   /**
    * Sets the OWPath for the tagged device.  An
    * OWPath is a description of how to
    * physically get to a 1-Wire device through a
    * set of nested 1-Wire switches.
    *
    * @param adapter
    * @param Branches
    */
   public void setOWPath(DSPortAdapter adapter, java.util.Vector Branches)
   {      
      objectInstance.setOWPath(((com.dalsemi.onewire.adapter.DSPortAdapter)adapter.objectInstance), Branches);
   }

   /**
    * Gets the 1-Wire Container for the tagged device.
    *
    * @return The 1-Wire container for the tagged device.
    */
   public OneWireContainer getDeviceContainer()
   {      
      return new OneWireContainer(objectInstance.getDeviceContainer());
   }

   /**
    * Gets the device type for the tagged device.
    *
    * @return The device type for the tagged device.
    */
   public java.lang.String getDeviceType()
   {      
      return objectInstance.getDeviceType();
   }

   /**
    * Gets the label for the tagged device.
    *
    * @return The label for the tagged device.
    */
   public java.lang.String getLabel()
   {      
      return objectInstance.getLabel();
   }

   /**
    * Gets the channel for the tagged device as a String.
    *
    * @return The channel for the tagged device as a String.
    */
   public java.lang.String getChannelAsString()
   {      
      return objectInstance.getChannelAsString();
   }

   /**
    * Gets the channel for the tagged device as an int.
    *
    * @return The channel for the tagged device as an int.
    */
   public int getChannel()
   {      
      return objectInstance.getChannel();
   }

   /**
    * Gets the init (Initialization String) for the
    * tagged device.
    *
    * @return String init (Initialization String)
    */
   public java.lang.String getInit()
   {      
      return objectInstance.getInit();
   }

   /**
    * Gets the max string for the tagged device.
    *
    * @return String  Gets the max string
    */
   public java.lang.String getMax()
   {      
      return objectInstance.getMax();
   }

   /**
    * Gets the min string for the tagged device.
    *
    * @return String  Gets the min string
    */
   public java.lang.String getMin()
   {      
      return objectInstance.getMin();
   }

   /**
    * Gets the cluster name for the tagged device.
    *
    * @return The cluster name for the tagged device.
    */
   public java.lang.String getClusterName()
   {      
      return objectInstance.getClusterName();
   }

   /**
    * Gets a vector of branches (to get to) the tagged device.
    *
    * @return The vector of branches to get to the tagged device.
    */
   public java.util.Vector getBranches()
   {      
      return objectInstance.getBranches();
   }

   /**
    * Gets the OWPath for the tagged device.  An
    * OWPath is a description of how to
    * physically get to a 1-Wire device through a
    * set of nested 1-Wire switches.
    *
    * @return The OWPath for the tagged device.
    */
   public OWPath getOWPath()
   {      
      return new OWPath(objectInstance.getOWPath());
   }

   /**
    * No documentation available for method 
    */
   public boolean equals(java.lang.Object o)
   {      
      return objectInstance.equals(o);
   }

   /**
    * No documentation available for method 
    */
   public int hashCode()
   {      
      return objectInstance.hashCode();
   }

   /**
    * No documentation available for method 
    */
   public java.lang.String toString()
   {      
      return objectInstance.toString();
   }



   /** Sets this object's reference to null */
   public void freeObject()
   {
      this.objectInstance = null;
   }

   /** Returns true if this COM Stub class refers to an object which is not null */
   public boolean isObjectInitialized()
   {
      return this.objectInstance != null;
   }

   TaggedDevice setupObject(Object o)
   {
      this.objectInstance = (com.dalsemi.onewire.application.tag.TaggedDevice)o;
      return this;
   }
}
